using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ObjectDataSourcePage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        ObjectDataSource objectDataSource =
        new ObjectDataSource("SQLServer","GetJobPostingsByJobIndustry");
         
        objectDataSource.SelectParameters.Add("jobIndustryID", "2");
        GridView gridView = new GridView();
        this.form1.Controls.Add(gridView);
        gridView.DataSource= objectDataSource;
        gridView.DataBind();
    }
}
